# Snapshot report for `index.test.js`

The actual snapshot is saved in `index.test.js.snap`.

Generated by [AVA](https://avajs.dev).

## JavaScript function

> Snapshot 1

    `1 function add (a, b) { ␊
    2     return a + b      ␊
    3 }                     ␊
    `

## JavaScript arrow function

> Snapshot 1

    `1 const add = (a, b) => a + b ␊
    `

## JavaScript object, preserve tabs, w/o lineNumbers

> Snapshot 1

    `{                                       ␊
    	foo: 'bar',                     ␊
    	baz: 1337,                      ␊
    	qux: true,                      ␊
    	zxc: null,                      ␊
    	'foogle-bork': function (a, b) {␊
    		return b - a            ␊
    	}                               ␊
    }                                       ␊
    `

## JavaScript object w/ deep functions

> Snapshot 1

    `{                                                               ␊
    	foo: {                                                  ␊
    		bar: {                                          ␊
    			baz: {                                  ␊
    				qux: {                          ␊
    					'z-x-c': (x, y) => y * x␊
    				}                               ␊
    			}                                       ␊
    		}                                               ␊
    	},                                                      ␊
    	'foogle-bork': function (a, b) {                        ␊
    		return b - a                                    ␊
    	}                                                       ␊
    }                                                               ␊
    `

## JavaScript code string

> Snapshot 1

    ` 1                                               ␊
     2     const a = 2                               ␊
     3     function abc = (d, e, f) { return 'foo' } ␊
     4     const b = 2                               ␊
     5     const c = (a, b) => {                     ␊
     6         return b - a                          ␊
     7     }                                         ␊
     8                                               ␊
     9     var str = "Hello, world!"                 ␊
    10                                               ␊
    11     console.log(true, null, new Date())       ␊
    12                                               ␊
    13     const jsObj = {                           ␊
    14         foo: 'bar',                           ␊
    15         baz: 1337,                            ␊
    16         qux: true,                            ␊
    17         'test-thing': 'cool',                 ␊
    18         zxc: null,                            ␊
    19         spqr: function (a, b) {               ␊
    20             return b - a                      ␊
    21         }                                     ␊
    22     }                                         ␊
    23                                               ␊
    `

## Highlights ARM assembler syntax

> Snapshot 1

    ` 1                                                                 ␊
     2     .text                                                       ␊
     3                                                                 ␊
     4     .global connect                                             ␊
     5     connect:                                                    ␊
     6         mov     r3, #2              ; s->sin_family = AF_INET   ␊
     7         strh    r3, [sp]                                        ␊
     8         ldr     r3, =server_port    ; s->sin_port = server_port ␊
     9         ldr     r3, [r3]                                        ␊
    10         strh    r3, [sp, #2]                                    ␊
    11         ldr     r3, =server_addr    ; s->sin_addr = server_addr ␊
    12         ldr     r3, [r3]                                        ␊
    13         str     r3, [sp, #4]                                    ␊
    14         mov     r3, #0              ; bzero(&s->sin_zero)       ␊
    15         str     r3, [sp, #8]                                    ␊
    16         str     r3, [sp, #12]                                   ␊
    17         mov     r1, sp      ; const struct sockaddr *addr = sp  ␊
    18                                                                 ␊
    19         ldr     r7, =connect_call                               ␊
    20         ldr     r7, [r7]                                        ␊
    21         swi     #0                                              ␊
    22                                                                 ␊
    23         add     sp, sp, #16                                     ␊
    24         pop     {r0}        ; pop sockfd                        ␊
    25                                                                 ␊
    26         pop     {r7}                                            ␊
    27         pop     {fp, ip, lr}                                    ␊
    28         mov     sp, ip                                          ␊
    29         bx      lr                                              ␊
    30                                                                 ␊
    31     .data                                                       ␊
    32     socket_call:   .long 281                                    ␊
    33     connect_call:  .long 283                                    ␊
    34                                                                 ␊
    35     /* all addresses are network byte-order (big-endian) */     ␊
    36     server_addr:            .long 0x0100007f ; localhost        ␊
    37     server_port:            .hword 0x0b1a                       ␊
    38                                                                 ␊
    `

## Light background, tabsToSpaces

> Snapshot 1

    ` 1  {                                    ␊
     2      foo: 'bar',                      ␊
     3      baz: 1337,                       ␊
     4      qux: true,                       ␊
     5      zxc: null,                       ␊
     6      'foogle-bork': function (a, b) { ␊
     7          return b - a                 ␊
     8      }                                ␊
     9  }                                    ␊
    `

## Preserve tabs with background colors and line numbers

> Snapshot 1

    `1000000000000000{                                       ␊
    1000000000000001	foo: 'bar',                     ␊
    1000000000000002	baz: 1337,                      ␊
    1000000000000003	qux: true,                      ␊
    1000000000000004	zxc: null,                      ␊
    1000000000000005	'foogle-bork': function (a, b) {␊
    1000000000000006		return b - a            ␊
    1000000000000007	}                               ␊
    1000000000000008}                                       ␊
    `

## Preserve tabs with background colors w/o line numbers

> Snapshot 1

    `{                                       ␊
    	foo: 'bar',                     ␊
    	baz: 1337,                      ␊
    	qux: true,                      ␊
    	zxc: null,                      ␊
    	'foogle-bork': function (a, b) {␊
    		return b - a            ␊
    	}                               ␊
    }                                       ␊
    `

## TabsToSpaces=2, w/ bgColor

> Snapshot 1

    ` 1  {                                  ␊
     2    foo: 'bar',                      ␊
     3    baz: 1337,                       ␊
     4    qux: true,                       ␊
     5    zxc: null,                       ␊
     6    'foogle-bork': function (a, b) { ␊
     7      return b - a                   ␊
     8    }                                ␊
     9  }                                  ␊
    `

## No padding (line or number), tabsToSpaces=2

> Snapshot 1

    `1{             ␊
    2  foobar: 1337␊
    3}             ␊
    `

## TabsToSpaces=0 (Zero-width indent) \u0000

> Snapshot 1

    `1{             ␊
    2foobar: 1337, ␊
    3bax: {        ␊
    4qux: {        ␊
    5wombat: 'BOO!'␊
    6}             ␊
    7}             ␊
    8}             ␊
    `

## Highlights HTML string

> Snapshot 1

    `1 <body>                    ␊
    2     <div>                 ␊
    3         <span>Good</span> ␊
    4         <span>Bad</span>  ␊
    5     </div>                ␊
    6 <body>                    ␊
    `

## Line number offset/start

> Snapshot 1

    `123 <body>                    ␊
    124     <div>                 ␊
    125         <span>Good</span> ␊
    126         <span>Bad</span>  ␊
    127     </div>                ␊
    128 <body>                    ␊
    `

## Circular JSON throws

> Snapshot 1

    `TypeError: 🦅  Chromafi: Converting circular structure to JSON␊
        --> starting at object with constructor 'Object'␊
        |     property 'foo' -> object with constructor 'Object'␊
        --- property 'foo' closes the circle`

## Render a sub-portion of the lines

> Snapshot 1

    `3         <span>Good</span> ␊
    4         <span>Bad</span>  ␊
    `

## Should throw if type !<fn|string|obj>

> Snapshot 1

    '🦅  Chromafi: You must pass a function, string or object.'

## Should re-align indentation at multiple levels

> Snapshot 1

    `{                               ␊
        foobar: 1337,               ␊
        'baz-qux': function (a, b) {␊
            return 'Wombat!'        ␊
        }                           ␊
    }                               ␊
    ␊
    {                               ␊
        foobar: 1337,               ␊
        'baz-qux': function (a, b) {␊
            return 'Wombat!'        ␊
        }                           ␊
    }                               ␊
    ␊
    {                               ␊
        foobar: 1337,               ␊
        'baz-qux': function (a, b) {␊
            return 'Wombat!'        ␊
        }                           ␊
    }                               ␊
    `

> Snapshot 2

    `{                                   ␊
    	foobar: 1337,               ␊
    	'baz-qux': function (a, b) {␊
    		return 'Wombat!'    ␊
    	}                           ␊
    }                                   ␊
    ␊
    {                                   ␊
    	foobar: 1337,               ␊
    	'baz-qux': function (a, b) {␊
    		return 'Wombat!'    ␊
    	}                           ␊
    }                                   ␊
    ␊
    {                                   ␊
    	foobar: 1337,               ␊
    	'baz-qux': function (a, b) {␊
    		return 'Wombat!'    ␊
    	}                           ␊
    }                                   ␊
    `

## Diff

> Snapshot 1

    ` 1 diff --git a/about.html b/about.html     ␊
     2 index d09ab79..0c20c33 100644            ␊
     3 --- a/about.html                         ␊
     4 +++ b/about.html                         ␊
     5 @@ -19,7 +19,7 @@                        ␊
     6    </div>                                ␊
     7                                          ␊
     8    <div id="headerContainer">            ␊
     9 -    <h1>About&lt/h1>                    ␊
    10 +    <h1>About This Project&lt/h1>       ␊
    11    </div>                                ␊
    12                                          ␊
    13    <div id="contentContainer">           ␊
    14 diff --git a/imprint.html b/imprint.html ␊
    15 index 1932d95..d34d56a 100644            ␊
    16 --- a/imprint.html                       ␊
    17 +++ b/imprint.html                       ␊
    18 @@ -19,7 +19,7 @@                        ␊
    19    </div>                                ␊
    20                                          ␊
    21    <div id="headerContainer">            ␊
    22 -    <h1>Imprint&lt/h1>                  ␊
    23 +    <h1>Imprint / Disclaimer&lt/h1>     ␊
    24    </div>                                ␊
    25                                          ␊
    26    <div id="contentContainer">           ␊
    `

## Multiline highlight, replacing color

> Snapshot 1

    `<body>                   ␊
        <div>                ␊
            <span>Good</span>␊
                             ␊
    </body>                  ␊
    `

## Single line highlight, replacing color

> Snapshot 1

    `␊
    `
